Bug 478225 - Penrose Studio uses local ODBC instead of server side and fails
Penrose Studio uses local ODBC instead of server side and fails
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:10 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:10:05 EST
To reproduce:
Use Penrose Studio on Windows, connect to Penrose Server on Linux
Create a new connection using ODBC driver. Specify a datasource existent on server side and press the button "Test Connection" -> Error IM002: "Data source name not found..." from [Microsoft][ODBC Driver Manager]
To verify create a new connection using ODBC driver. Specify a datasource existent on the client side and press the button "Test Connection" -> Successful! 


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {}
                          ],
          'reporter' => 'webdb22',
          'key' => 'PENROSE-255',
          'assignee' => 'jimyang',
          'summary' => 'Penrose Studio uses local ODBC instead of server side and fails',
          'id' => '10834',
          'updated' => '2007-10-24 17:38:43.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'To reproduce:
Use Penrose Studio on Windows, connect to Penrose Server on Linux
Create a new connection using ODBC driver. Specify a datasource existent on server side and press the button "Test Connection" -> Error IM002: "Data source name not found..." from [Microsoft][ODBC Driver Manager]
To verify create a new connection using ODBC driver. Specify a datasource existent on the client side and press the button "Test Connection" -> Successful! 
',
          'created' => '2007-09-02 17:06:08.0',
          'environment' => 'Penrose Studio 1.2.4 on WinXP, Penrose Server 1.2.4 on Ubuntu 6.06.1 using unixodbc',
          'type' => '1'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-01-28 14:34:38 EST
JDBC connection validation has been moved into the server side.

Note You need to log in before you can comment on or make changes to this bug.